<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.6.4 - Last modified 5/28/2008
*/


/*
NOTES:
	if (image_jpeg == true):
	Compress level of 1-2 is archival, 4 starts showing artifacts.  3-4 recommended.  0 not recommended due to lossless JPEG (use PNG instead).  Anything over 10 not recommended except for thumbnails.  Max value may be 100 if you hate your artists.  :)

	if (image_jpeg == false):
	PaintBBS employs lossy PNG!  Level should be 0 if image_jpeg is false.  PaintBBS doesn't murder PNGs like ShiPainter, but still, lossy PNG is not pretty.

	if (new pic) {
		Send nothing to comment.php.
	} elseif (public edit by new artist) {
		Send import to comment.php.
	} else {
		send edit and import.
	}
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');
require ('paintsave.php');

// Input
isset ($_GET['xcord'])
	? $xcord = w_gpc('xcord', 'i')
	: $xcord = $cfg['def_x'];
isset ($_GET['ycord'])
	? $ycord = w_gpc('ycord', 'i')
	: $ycord = $cfg['def_y'];
$anim  = w_gpc('anim', 'i');
$edit  = w_gpc('edit', 'i+');
$user_pass = ''; // Wacintaki only

// Init
$app_head     = ''; // Passed to save tool
$app_head_pw  = ''; // Added to $app_head
$app_url_exit = ''; // Params for index (comment)
$import       = ''; // Canvas number to import.  Passed to save tool
$app_import   = ''; // Canvas/anim filename to import (based on $anim)
$anim_type    = 'pch'; // Extension for animation


// Bug in Mac version of Java requires hard-coded values, rather than CSS.  >:(
// Typical viewable width of 800x600 browser is 740px.
	$xhack = '740';
// Typical height
	$yhack = '550';


// Check Draw access
if (!$flags['D']) {
	report_err($langop_err_drawaccess);
}

// Check anim access
// If retouch, anim flag is ignored
if (!$flags['M']) {
	$anim = 0;
}


if ($edit) {
	// Get pic info
	$result = mysql_query ("SELECT PIC_ID, usrname, animation, ptype FROM {$OekakiPoteto_Prefix}oekakidta WHERE PIC_ID='$edit'");
	$row = mysql_fetch_array ($result);

	// Verify anim
	if ($row['animation'] == 1) {
		$anim = 1;
	} else {
		$anim = 0;
	}

	// Set up import (edit only)
	if ($anim) {
		$app_import = $p_pic.$edit.'.'.$anim_type;
	} else {
		$app_import = $p_pic.$edit.'.'.$row['ptype'];
	}

	$size = @GetImageSize ($p_pic.$row['PIC_ID'].'.'.$row['ptype']);
	$xcord = $size[0];
	$ycord = $size[1];
}


// Verify that canvas sizes fit min/max
$xcord = fix_range($cfg['min_x'], $cfg['canvas_x'], $xcord);
$ycord = fix_range($cfg['min_y'], $cfg['canvas_y'], $ycord);


// Set applet area
{
	/* A bug in the Mac version of Java 1.5 requires hard-coded values, rather than CSS.  So, we set to a reasonable default, and grow the applet to fit the canvas. */

	// Typical viewable width of 800x600 browser is 740px.
	$xhack = 740; // Applet x
	$yhack = 550; // Applet y
	$xoverhead = 100 ; // Applet border/palette width
	$yoverhead = 35;

	if (DISABLE_APPLET_AREA_HACK) {
		$xhack = '100%';
		$yhack = '90%'; // HTML quirks mode only
	} else {
		if ($xcord > ($xhack - $xoverhead))
			$xhack = $xcord + $xoverhead;
		if ($ycord > ($yhack - $yoverhead))
			$yhack = $ycord + $yoverhead;
	}
}


// Get filesize cutoff.  See notes above about compress_level
// APPLET_NO_JPEG is in hacks.php
$image_jpeg_value = (APPLET_NO_JPEG != 0) ? 'false' : 'true';
$image_compress = (APPLET_NO_JPEG != 0) ? '0' : '4';
$image_size_value = applet_image_size_param($xcord, $ycord);


// Set up applet header
if ($edit) {
	$app_head_mode = 'edit';
} elseif ($anim) {
	$app_head_mode = 'anim';
} else {
	$app_head_mode = 'norm';
}
$app_head = "mode={$app_head_mode};edittimes=".time().";usr={$OekakiU};vcode={$OekakiPass}";
if ($edit) {
	$app_head .= ";edit={$edit}";
}

// Set up applet exit
$app_url_exit = 'comment.php?mode=res_msg';
if ($edit) {
	$app_url_exit .= "&edit={$edit}";
}

// Wax Poteto fans seem to prefer the header
$no_banner = TRUE;
require ('header.php');


?>
<div align="center">
	<applet id="paintbbs"
		code="pbbs.PaintBBS.class"
		archive="PaintBBS.jar"
		width="<?=$xhack?>"
		height="<?=$yhack?>"
		mayscript="mayscript">

		<param name="image_width" value="<?=$xcord?>" />
		<param name="image_height" value="<?=$ycord?>" />

		<param name="image_jpeg" value="<?=$image_jpeg_value?>" />
		<param name="image_size" value="<?=$image_size_value?>" />
		<param name="compress_level" value="<?=$image_compress?>" />

<? if ($edit) { ?>
		<param name="image_canvas" value="<?=$app_import?>" />
<? } ?>
<? if ($anim) { ?>
		<param name="thumbnail_type" value="animation" />
<? } ?>
		<param name="url_save" value="paintbbsget.php" />
		<param name="url_exit" value="<?=$app_url_exit?>" />
		<param name="url_target" value="_self" />

		<param name="undo" value="60" />
		<param name="undo_in_mg" value="12" />

		<param name="poo" value="false" />
		<param name="send_header" value="<?=$app_head?>" />
		<param name="send_header_image_type" value="false" />

		<param name="image_bkcolor" value="#ffffff" />
		<param name="color_text" value="#505078" />
		<param name="color_bk" value="#9999bb" />
		<param name="color_bk2" value="#8888aa" />
		<param name="color_icon" value="#ccccff" />

		<param name="tool_advance" value="true" />
		<param name="send_advance" value="true" />
		<param name="send_language" value="utf8" />
	</applet>
</div>

<p style="text-align: center;">
	<input onclick="maximize_app('paintbbs');" type="button" value="<?=$langop_resizeapplet;?>" class="submit" />
</p>


<p style="text-align: center;">
	<input onclick="size_app('paintbbs');" type="button" value="<?=$langop_resize_to_this;?>" class="submit" />
	X:<input id="button_x" type="text" size="3" value="<?=$xhack?>" class="txtinput" />
	Y:<input id="button_y" type="text" size="3" value="<?=$yhack?>" class="txtinput" />
</p>


<? if (!$edit) { ?>
<form name="form1" method="get" action="<?=$_SERVER['PHP_SELF'];?>">
	<table width="50%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
	<tr>
	<td colspan="2" height="11">
		<table width="<?=$hWidth?>" cellpadding="<?=$hCellPadding?>" align="center" class="header">
		<tr>
		<td align="center">
			<font size="-2">
				<?=$langop_applet_modify?> 
				(<?=$langop_applet_max?> <?=$cfg['canvas_x'];?> &times; <?=$cfg['canvas_y'];?> )
			</font>
		</td>
		</tr>
		</table>
	</td>
	</tr>

	<tr>
	<td width="28%">
		<div align="right">
			<font size="-2">X</font>:
		</div>
	</td>
	<td width="72%">
		<font size="-2">
			<input type="text" name="xcord" value="<?=$xcord?>" class="txtinput" />
		</font>
	</td>
	</tr>

	<tr>
	<td width="28%">
		<div align="right">
			<font size="-2">Y:</font>
		</div>
	</td>
	<td width="72%">
		<font size="-2">
			<input type="text" name="ycord" value="<?=$ycord?>" class="txtinput" />
		</font>
	</td>
	</tr>

	<tr>
	<td></td>
	<td>
		<font size="-2">
			<input type="submit" name="Submit" value="<?=$langop_word_modify;?>" class="submit" />
		</font>
	</td>
	</tr>
	</table>

<? if ($edit) { ?>
	<input type="hidden" name="edit" value="<?=$edit?>" />
<? } ?>
<? if ($anim) { ?>
	<input type="hidden" name="anim" value="<?=$anim?>" />
<? } ?>
</form>
<? } ?>
<br />

<? include ('footer.php'); ?>